Bug 56371 - pam-0.75-18.7 and glibc: pam_console errors
pam-0.75-18.7 and glibc: pam_console errors
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-16 05:15 EST by Pekka Savola
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-16 05:15:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-11-16 05:15:27 EST
On RHL71 with:
  
# rpm -q glibc pam
glibc-2.2.4-19
pam-0.75-18.7

When you log in via SSH, you get:

Nov 16 12:06:28 kota sshd[13448]: PAM unable to
dlopen(/lib/security/pam_console.so)
Nov 16 12:06:28 kota sshd[13448]: PAM [dlerror:
/lib/security/pam_console.so: symbol fnmatch, version GLIBC_2.2.3 not
defined in file libc.so.6 with link time reference]
Nov 16 12:06:28 kota sshd[13448]: PAM adding faulty module:
/lib/security/pam_console.so

Was the pam update compiled on non-updated glibc, perhaps?
Comment 1 Pekka Savola 2001-11-16 05:55:09 EST
sshd that was running was started with the old version of glibc, it seems.
Restarting sshd fixed the problem.  Another issue of upgrading glibc in
multiuser
mode. Closing.

Note You need to log in before you can comment on or make changes to this bug.